..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

=============
fluid.dygraph
=============

.. _api_fluid_dygraph_BackwardStrategy:

BackwardStrategy
----------------

..  autoclass:: paddle.fluid.dygraph.BackwardStrategy
    :members:
    :noindex:

.. _api_fluid_dygraph_BatchNorm:

BatchNorm
---------

..  autoclass:: paddle.fluid.dygraph.BatchNorm
    :members:
    :noindex:

.. _api_fluid_dygraph_BilinearTensorProduct:

BilinearTensorProduct
---------------------

..  autoclass:: paddle.fluid.dygraph.BilinearTensorProduct
    :members:
    :noindex:

.. _api_fluid_dygraph_Conv2D:

Conv2D
------

..  autoclass:: paddle.fluid.dygraph.Conv2D
    :members:
    :noindex:

.. _api_fluid_dygraph_Conv2DTranspose:

Conv2DTranspose
---------------

..  autoclass:: paddle.fluid.dygraph.Conv2DTranspose
    :members:
    :noindex:

.. _api_fluid_dygraph_Conv3D:

Conv3D
------

..  autoclass:: paddle.fluid.dygraph.Conv3D
    :members:
    :noindex:

.. _api_fluid_dygraph_Conv3DTranspose:

Conv3DTranspose
---------------

..  autoclass:: paddle.fluid.dygraph.Conv3DTranspose
    :members:
    :noindex:

.. _api_fluid_dygraph_CosineDecay:

CosineDecay
-----------

..  autoclass:: paddle.fluid.dygraph.CosineDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_Embedding:

Embedding
---------

..  autoclass:: paddle.fluid.dygraph.Embedding
    :members:
    :noindex:

.. _api_fluid_dygraph_enabled:

enabled
-------

..  autofunction:: paddle.fluid.dygraph.enabled
    :noindex:

.. _api_fluid_dygraph_ExponentialDecay:

ExponentialDecay
----------------

..  autoclass:: paddle.fluid.dygraph.ExponentialDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_FC:

FC
--

..  autoclass:: paddle.fluid.dygraph.FC
    :members:
    :noindex:

.. _api_fluid_dygraph_GroupNorm:

GroupNorm
---------

..  autoclass:: paddle.fluid.dygraph.GroupNorm
    :members:
    :noindex:

.. _api_fluid_dygraph_GRUUnit:

GRUUnit
-------

..  autoclass:: paddle.fluid.dygraph.GRUUnit
    :members:
    :noindex:

.. _api_fluid_dygraph_guard:

guard
-----

..  autofunction:: paddle.fluid.dygraph.guard
    :noindex:

.. _api_fluid_dygraph_InverseTimeDecay:

InverseTimeDecay
----------------

..  autoclass:: paddle.fluid.dygraph.InverseTimeDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_Layer:

Layer
-----

..  autoclass:: paddle.fluid.dygraph.Layer
    :members:
    :noindex:

.. _api_fluid_dygraph_LayerNorm:

LayerNorm
---------

..  autoclass:: paddle.fluid.dygraph.LayerNorm
    :members:
    :noindex:

.. _api_fluid_dygraph_load_persistables:

load_persistables
-----------------

..  autofunction:: paddle.fluid.dygraph.load_persistables
    :noindex:

.. _api_fluid_dygraph_NaturalExpDecay:

NaturalExpDecay
---------------

..  autoclass:: paddle.fluid.dygraph.NaturalExpDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_NCE:

NCE
---

..  autoclass:: paddle.fluid.dygraph.NCE
    :members:
    :noindex:

.. _api_fluid_dygraph_no_grad:

no_grad
-------

..  autofunction:: paddle.fluid.dygraph.no_grad
    :noindex:

.. _api_fluid_dygraph_NoamDecay:

NoamDecay
---------

..  autoclass:: paddle.fluid.dygraph.NoamDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_not_support:

not_support
-----------

..  autofunction:: paddle.fluid.dygraph.not_support
    :noindex:

.. _api_fluid_dygraph_PiecewiseDecay:

PiecewiseDecay
--------------

..  autoclass:: paddle.fluid.dygraph.PiecewiseDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_PolynomialDecay:

PolynomialDecay
---------------

..  autoclass:: paddle.fluid.dygraph.PolynomialDecay
    :members:
    :noindex:

.. _api_fluid_dygraph_Pool2D:

Pool2D
------

..  autoclass:: paddle.fluid.dygraph.Pool2D
    :members:
    :noindex:

.. _api_fluid_dygraph_PRelu:

PRelu
-----

..  autoclass:: paddle.fluid.dygraph.PRelu
    :members:
    :noindex:

.. _api_fluid_dygraph_prepare_context:

prepare_context
---------------

..  autofunction:: paddle.fluid.dygraph.prepare_context
    :noindex:

.. _api_fluid_dygraph_save_persistables:

save_persistables
-----------------

..  autofunction:: paddle.fluid.dygraph.save_persistables
    :noindex:

.. _api_fluid_dygraph_SpectralNorm:

SpectralNorm
------------

..  autoclass:: paddle.fluid.dygraph.SpectralNorm
    :members:
    :noindex:

.. _api_fluid_dygraph_start_gperf_profiler:

start_gperf_profiler
--------------------

..  autofunction:: paddle.fluid.dygraph.start_gperf_profiler
    :noindex:

.. _api_fluid_dygraph_stop_gperf_profiler:

stop_gperf_profiler
-------------------

..  autofunction:: paddle.fluid.dygraph.stop_gperf_profiler
    :noindex:

.. _api_fluid_dygraph_to_variable:

to_variable
-----------

..  autofunction:: paddle.fluid.dygraph.to_variable
    :noindex:

.. _api_fluid_dygraph_Tracer:

Tracer
------

..  autoclass:: paddle.fluid.dygraph.Tracer
    :members:
    :noindex:

.. _api_fluid_dygraph_TreeConv:

TreeConv
--------

..  autoclass:: paddle.fluid.dygraph.TreeConv
    :members:
    :noindex:

